if status is-interactive
    set -g fish_key_bindings fish_vi_key_bindings

    if command -q starship
        starship init fish | source
    else if test -x /opt/homebrew/bin/starship
        /opt/homebrew/bin/starship init fish | source
    else if test -x /usr/local/bin/starship
        /usr/local/bin/starship init fish | source
    end
end

 set -U fish_greeting

 abbr lzg lazygit
 abbr lzd lazydocker
 abbr hist "history | fzf | fish_clipboard_copy"

 if test -f "$HOME/.config/fish/local.fish"
     source "$HOME/.config/fish/local.fish"
 end

